Difference between revisions of "SMF - Which version of SMF should I use"

From Online Manual

Jump to: navigation, search
m (Updated "currentstable" version.)
Line 1: Line 1:
 
{{Which version
 
{{Which version
|currentstable=2.0.1
+
|currentstable=2.0.2
 
|currentseries=2.0
 
|currentseries=2.0
 
|currentminor=0
 
|currentminor=0

Revision as of 13:07, 30 January 2012

The current stable version, at download.simplemachines.org, is always recommended. This version has been tested and declared stable, and has all the latest features and security enhancements. Please read the client and server requirements for more information on installation requirements, to make certain your server will be able to run the current stable version of SMF. If you are preparing to install SMF for the first time, you should install the current stable version.

For forums that are limited to running earlier branches of SMF, the current stable version of that branch is recommended. This version has the latest available security features. For more information, please read about Installing, Upgrading, and Patching SMF. If you wish to convert from another forum system to SMF, please also read about Converting to SMF.

Current Stable Version

The current stable version is 2.0.2. This is the most recent version in the current series 2.0.x.

Older versions of the current series

If you are running an earlier version in the current series (a version in the 2.0.x earlier than version 2.0.2) it is recommended that you update to the current stable version as soon as possible. The current stable version has all the latest security enhancements, features, and bug fixes. To bring your forum to the latest version in the current series, your options may include:

Deprecated series

The 1.1.x series is deprecated. There will be no new features. Security updates and/or fixes for any major bugs will be made as required, in the best judgement of the team. It is still supported by the SMF team. Upgrading to the current stable version is recommended, as long as your server meets the Requirements for the current series. If upgrade is difficult because of modifications and other customizations, upgrading to the most recent version of 1.1.x is recommended as a short term measure only. The most recent version of the 1.1.x series has the latest security features for 1.1.x forums, and several update and upgrade options can be found in the SMF archives

To bring a 1.1.x series forum up to the latest version, please upgrade. Check that your mods are compatable with the newest version of the forum, and install the appropriate versions of your mods.

Development versions

Development versions (beta or RC) are not recommended for live SMF forums, as they are still being tested. Interested admins may install development versions in order to familiarize themselves with new features and options for users and administrators, and for testing. They are available at download.simplemachines.org. Many of your favorite mods may not be compatable with the development versions of the forum. Check your mods' support threads for more information on mods.